#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 assoc
version:              1.0.2
visibility:           public
id:                   assoc-1.0.2-BkNQszgThODAb3l9q4aPvo
key:                  assoc-1.0.2-BkNQszgThODAb3l9q4aPvo
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             swap and assoc: Symmetric and Semigroupy Bifunctors
description:
    Provides generalisations of
    @swap :: (a,b) -> (b,a)@ and
    @assoc :: ((a,b),c) -> (a,(b,c))@
    to
    @Bifunctor@s supporting similar operations (e.g. @Either@, @These@).

category:             Data
abi:                  4ec8b7c58f03ec30f704cfbd21937ed9
exposed:              True
exposed-modules:      Data.Bifunctor.Assoc Data.Bifunctor.Swap
import-dirs:          /usr/lib/ghc-9.0.2/site-local/assoc-1.0.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/assoc-1.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-assoc
hs-libraries:         HSassoc-1.0.2-BkNQszgThODAb3l9q4aPvo
depends:
    base-4.15.1.0 bifunctors-5.6-A8AqLnA4Ev2zUYpaq1Gby
    tagged-0.8.8-7t9egrTqJuwIG4IxuqlUrH

haddock-interfaces:   /usr/share/doc/haskell-assoc/html/assoc.haddock
haddock-html:         /usr/share/doc/haskell-assoc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

